​
Select Service
ves-io-schema-tpm_category-API-Create
Published April 5, 2023 | Last modified July 30, 2026
Examples of creating tpm_category
Usecase:
Create "tpm_category"
Request using vesctl:
vesctl configuration create tpm_category -i tpm_category.yaml
where file tpm_category.yaml has following contents (tpm_category.CreateRequest):
RequestJSON:
{ "metadata": { "name": "category-sku-001", "namespace": "documentation" }, "spec": { "tpm_manager_ref": [ { "namespace": "documentation", "name": "tpmmanager1" } ], "tpm_allow_list": [ "https:///url_of_ek_ca_cert", "string:///\u003cbase64_encoded_pem_of_ek_ca_cert\u003e" ] }}vesctl yaml response:
ResponseJSON:
{ "metadata": { "name": "category-sku-001", "namespace": "documentation", "labels": {}, "annotations": {}, "description": "", "disable": false }, "system_metadata": { "uid": "f202c703-4d39-4351-819e-2cb4b322ee03", "creation_timestamp": "2026-06-19T22:09:04.730092Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": {} }, "spec": { "tpm_manager_ref": [ { "kind": "tpm_manager.Object", "uid": "ffffffff-ffff-ffff-ffff-ffffffffffff", "tenant": "acmecorp", "namespace": "documentation", "name": "tpmmanager1" } ], "ak_sub_ca_name": "", "ak_sub_ca_certificate": "", "client_cert": "", "client_key": "", "tpm_allow_list": [ "https:///url_of_ek_ca_cert", "string:///\u003cbase64_encoded_pem_of_ek_ca_cert\u003e" ] }}Request using curl:
curl -X 'POST' -d '{"metadata":{"name":"category-sku-001","namespace":"documentation"},"spec":{"tpm_manager_ref":[{"namespace":"documentation","name":"tpmmanager1"}],"tpm_allow_list":["https:///url_of_ek_ca_cert","string:///\u003cbase64_encoded_pem_of_ek_ca_cert\u003e"]}}' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/tpm/namespaces/documentation/tpm_categorys'curl response:
HTTP/1.1 200 OKContent-Length: 1092Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:09:04 GMTVary: Accept-Encoding
{ "metadata": { "name": "category-sku-001", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "f202c703-4d39-4351-819e-2cb4b322ee03", "creation_timestamp": "2026-06-19T22:09:04.730092Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "tpm_manager_ref": [ { "kind": "tpm_manager.Object", "uid": "ffffffff-ffff-ffff-ffff-ffffffffffff", "tenant": "acmecorp", "namespace": "documentation", "name": "tpmmanager1" } ], "ak_sub_ca_name": "", "ak_sub_ca_certificate": "", "client_cert": "", "client_key": "", "tpm_allow_list": [ "https:///url_of_ek_ca_cert", "string:///\u003cbase64_encoded_pem_of_ek_ca_cert\u003e" ] }}